View Issue Details

IDProjectCategoryLast Update
0021080AI War 2[All Projects] SuggestionJul 12, 2019 3:56 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.851 Drones And Economies 
Fixed in Version0.875 Counterattacks You Can Taste 
Summary0021080: Inability to control which strikecraft are built is frustrating
DescriptionI wound up with an Ark that included Autobombs as part of it's fleet. When i took it into battle near my home planet I rapidly observed that the autobombs A. seemed ineffective and B. constantly were exploding and being rebuilt. Given that I was also trying to build some turrets at the time, I didn't want to have the metal drain. I don't generally like using autobomb style ships in my game anyway. Is there a way to prevent specific ship types in a Fleet them from being built?

I don't want to disable my Factories, since I want other things to be rebuilt.

I can always just disable Autobombs in my XML of course ;-)
TagsNo tags attached.

Relationships

child of 0021310 assignedx4000Bughunter Fleets Phase 3 - Parent 

Activities

x4000Bughunter

Apr 20, 2019 4:25 pm

administrator   ~0051231

Good point, this was originally in my todo list for the fleets screen but I forgot about it. Will be sure to put it in there now. :)

x4000Bughunter

Apr 22, 2019 12:28 pm

administrator   ~0051281

Also noted by Alreadyded.

x4000Bughunter

Apr 22, 2019 12:34 pm

administrator   ~0051282

Also Nameless Terror.

x4000Bughunter

Jul 12, 2019 3:56 pm

administrator   ~0052211

Thanks!

* The fleet sidebar tooltip now shows if the centerpiece of the fleet is crippled or missing.
** It also says if the construction status is paused because of it being crippled or because of it being manually turned off.

* The fleet sidebar tooltip also now says how many factories are in range of the fleet, since that's a big deal on whether or not construction happens with them.

* The fleet management sidebar popup now shows all of the same info about a fleet that hovering over the fleet would show (in terms of the members of the fleet and their statuses), but now also includes tooltips for each line item.
** So you can quickly get a bunch of status information for any of your fleets' specific ship types just by opening this window from any planet.
** For the battlestation fleets and the command station fleets, that's pretty much the end of the functionality for the fleets management screen, at least until something else gets pointed out. Mobile offensive fleets are another matter.

* For mobile fleets, in the fleet management screen there are now buttons by all of the non-centerpiece unit types that allow you to pause construction or let it resume as normal.
** In the tooltips for fleets, you can also now directly see if a line item is paused.
** There's also another button, "Swap," which has a "coming soon" message, but will let you do some other cool stuff soon.
** But already, at this point this lets you customize what is actually being constructed in your fleets, which is a pretty big deal.
*** The goal of the past builds has been to make it so that 90% of the time, if not even more, you always just want to have everything building at all times. We probably are in that ballpark now. But the ability to turn off certain things from building is definitely a must-have, no matter what. Thanks for your patience while we didn't have that -- the general utility of things like low-mark ships is probably higher now because of us skipping that for a while.

Issue History

Date Modified Username Field Change
Apr 20, 2019 9:31 am BadgerBadger New Issue
Apr 20, 2019 9:31 am BadgerBadger Status new => assigned
Apr 20, 2019 9:31 am BadgerBadger Assigned To => x4000Bughunter
Apr 20, 2019 4:25 pm x4000Bughunter Note Added: 0051231
Apr 20, 2019 4:26 pm x4000Bughunter Relationship added child of 0021022
Apr 22, 2019 12:28 pm x4000Bughunter Note Added: 0051281
Apr 22, 2019 12:34 pm x4000Bughunter Note Added: 0051282
Jul 8, 2019 3:20 pm x4000Bughunter Relationship added child of 0021310
Jul 8, 2019 3:21 pm x4000Bughunter Relationship deleted child of 0021022
Jul 12, 2019 3:56 pm x4000Bughunter Status assigned => resolved
Jul 12, 2019 3:56 pm x4000Bughunter Resolution open => fixed
Jul 12, 2019 3:56 pm x4000Bughunter Fixed in Version => 0.875 Counterattacks You Can Taste
Jul 12, 2019 3:56 pm x4000Bughunter Note Added: 0052211